#pragma once

#include "ch32v30x.h"

#define LED1_PIN  GPIO_Pin_0
#define LED1_PORT GPIOA
#define LED1_CLK  RCC_APB2Periph_GPIOA

#define LED2_PIN  GPIO_Pin_2
#define LED2_PORT GPIOA
#define LED2_CLK  RCC_APB2Periph_GPIOA

#define ON  1
#define OFF 0

#define LED1(a)     if(a) GPIO_ResetBits(LED1_PORT, LED1_PIN);\
                   else  GPIO_SetBits(LED1_PORT, LED1_PIN);

#define LED2(a)     if(a) GPIO_ResetBits(LED2_PORT, LED2_PIN);\
                   else  GPIO_SetBits(LED2_PORT, LED2_PIN);

void Led_Init(void);
