#pragma once

#include "ch32v30x.h"
#include <stdio.h>

#define USART_GPIO_CLK          RCC_APB2Periph_GPIOA
#define USART_GPIO_TX_PORT      GPIOA
#define USART_GPIO_TX_PIN       GPIO_Pin_9
#define USART_GPIO_RX_PORT      GPIOA
#define USART_GPIO_RX_PIN       GPIO_Pin_10

#define USART_PERIPH_CLK        RCC_APB2Periph_USART1
#define USART_BAUDRATE          115200
#define DEBUG_USARTx            USART1
#define USARTx_IRQN             USART1_IRQn
#define USARTx_IRQHANDLER       USART1_IRQHandler

void USART_Config(void);
void USART_SendByte(USART_TypeDef* USARTx, uint8_t data);
void USART_SendHalfWord(USART_TypeDef* USARTx, uint16_t data);
void USART_SendArray(USART_TypeDef* USARTx, uint8_t* array, uint8_t num);
void USART_SendString(USART_TypeDef* USARTx, uint8_t* str);
